webdevqa.jp.net

ビルドツールリビジョン23.0.1が見つかりませんでした

私は反応ネイティブで私の最初のアプリを構築しようとしています。

私はこれら2つのチュートリアルに従っています:

2番目のリンクからすべての要件をインストールしたと確信していますが、react-native run-Androidを付けてアプリを実行しようとすると、次のエラーが発生します。

Error

Genymotionを実行しながらこのコマンドを実行しました。

これが私がAndroid SDKにインストールした全てです:

enter image description here

enter image description here

Androidビルドツール23.0.1をインストールしようとしましたが、このエラーが表示されます。

enter image description here

私は何をすべきか?

108
Polo D. Vargas

私は同じ問題に直面し、次のようにして解決しました。

/ home / [USER] / Android/Sdk/toolsに移動して、次のコマンドを実行します。

$ Androidリストsdk -a

次のようなリストが表示されます。

  1. Android SDKツール、リビジョン24.0.2
  2. Android SDK Platform-tools、リビジョン23.0.2
  3. Android SDK Platform-tools、リビジョン23.0.1

... などなど

それから、コマンドを実行します(注意!あなたのコンピュータでは3番目のオプションは違うかもしれません):

$ Androidのアップデートsdk -a -u -t 3

23.0.1 SDK Platform-toolsコンポーネントがインストールされます。

もう一度プロジェクトを構築してみてください。

133
Gustavo Soler

Android SDKからAndroid SDK Build Tools 23.0.1をインストールする必要があります。 Show Packages Detailsをチェックするのを忘れないでください。

Image

118
Dary

ビルドツールのv23.0.1(スクリーンショットの5行目)をインストールするか、すでにインストールしたバージョンのビルドツール(v23.0.3)を使用するようにコードを変更します。これはアプリのbuild.gradleファイルで指定できます。

Android {
    compileSdkVersion 23
    buildToolsVersion "23.0.3"

    defaultConfig {
        ...
    }
}

下記のduncanc4のコメントに従って、

編集したいbuild.gradleファイルは、プロジェクトディレクトリ内のAndroid/appフォルダにあります。

42
stkent

フォルダを作成できないため、発生しているエラーはシステムの権限に関連しているようです。

Rootを使用して(suまたはSudoコマンドを使用して)sdk-managerを実行してみてください。

18

私はこのエラーがありました:

ビルドツールリビジョン23.0.2が見つかりませんでした

更新/インストールした時:

  1. Android SDKビルドツール
  2. Android SDKツール

build.gradleのバージョン番号を変更する

FROM

buildToolsVersion "23.0.2"

TO

buildToolsVersion "25.0.2"

あなたが持っているビルドツールのバージョンを見つける方法

9
Bampu

React-nativeを実行しているとき23.0.3をインストールし、それがアプリケーションプロジェクトディレクトリに23.0.1を要求している場合。 anroid/app/build.gradleを開き、buildToolsVersion "23.0.3"を変更してください

enter image description here

6
owaishanif786

あなたの$ Android_HOMEをチェックしてください、時々/ usr/local/opt/Androidです、しかしそれはあなたのインストールSDKパスではない、それを変更してこの問題を修正してください

6
xiongjiabin

この解決策が見つかるまで何も役に立ちませんでした: https://stackoverflow.com/a/39068538/3995091

Android SDKでは、正しいバージョンのビルドツールはインストール済みとして表示されますが、それでも見つからないという同じエラーが表示されます。私は上記のソリューションを使用したとき、私はそれらが実際にインストールされていないことを発見しました。それらをインストールすることは私のためにそれを解決しました。

既に正しい Android SDK Platform-Tools (ビルドツール)をインストールしてもエラーが発生する場合は、キャッシュを無効にしてください。 ファイル - >キャッシュを無効にする/再起動...

2
Waqleh

Gradleコンソール (ウィンドウ右下のリンクがあります)には2つのタブがあります。エラーは Gradle Build タブに表示されます。 Gradle Sync タブをクリックし、次に Install Build Tools XX.X.Xおよびsync project リンクをクリックします。これはあなたのプロジェクトに必要なビルドバージョンをダウンロードします。

プロジェクトSDKのバージョンを変更することもできますが、それが課されている場合は常にこのオプションがあるわけではありません。

2
Futal

2つの解決策:必要なbuildToolVersionをインストールするか、上記のように設定する必要があります。
これに注意してください あなたがAndroid Studio 3.0以上を使ってbuildToolsVersion "23.0.3"を設定しようとしている場合、最後に使用したバージョンを1つだけ残しておく必要があります。私はこれをどこか他のところで読みました、そしてこれは私のために働きます。お役に立てれば。

0
Gian Gomen

私のシステムでは、/usr/local/Cellar/Android-sdk$Android_HOMEであったとき、Android SDK ManagerはSDKパスとして/Users/james/Library/Android/sdkを示しました。正しいビルドツールバージョンのシンボリックリンクを追加しました。

0